MicroCloud Hologram Inc.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/microcloud-hologram-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/microcloud-hologram-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1741651200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.prnewswire.com/news-releases/microcloud-hologram-inc-announces-it-has-purchased-up-to-200-million-in-bitcoin-and-cryptocurrency-related-securities-derivatives-with-total-accumulated-dividends-reaching-8-13-million-302389932.html",
    "holding_balance": 2353.0,
    "holding_net_change": 2353.0,
    "transaction_value_usd": 197652000.0,
    "average_entry_value_usd": 84000.0,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/microcloud-hologram-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    2353.0
  ],
  [
    1779062400000,
    2353.0
  ],
  [
    1779148800000,
    2353.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/microcloud-hologram-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    182192460.58
  ],
  [
    1779062400000,
    181049867.31
  ],
  [
    1779148800000,
    180616303.53
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/microcloud-hologram-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 1.651,
    "date": "2026-05-15",
    "high": 1.73,
    "open": 1.72,
    "close": 1.69,
    "volume": 458200
  },
  {
    "low": 1.59,
    "date": "2026-05-18",
    "high": 1.677,
    "open": 1.67,
    "close": 1.61,
    "volume": 392600
  },
  {
    "low": 1.5811,
    "date": "2026-05-19",
    "high": 1.65,
    "open": 1.6,
    "close": 1.61,
    "volume": 232026
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/microcloud-hologram-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0.299,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/microcloud-hologram-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -28.13,
  "six_month_return": -47.9,
  "three_month_return": -27.48
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/microcloud-hologram-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 489.6,
  "total_btc_percentage": 0.011,
  "share_price_change_state": "down"
}